#!/bin/bash

#
# Run '/usr/sbin/smbldap-usershow username' and calculate time remaining for password change
#

export PATH="/usr/kerberos/bin:/usr/local/bin:/bin:/usr/bin"

userid=""
if [[ "t$1" != "t" ]]; then
	userid="$1"
else
	echo "-1"
	exit 0
fi

export USERID="$userid" ; /usr/sbin/smbldap-usershow $USERID 2> /dev/null | {
	rc="-2"
	while IFS= read -r line
	do
		if [[ $line =~ ^sambaPwdMustChange:[[:space:]]([0-9]+) ]]; then
			pwdmustset="${BASH_REMATCH[1]}"
			epochnow=`date +%s`
			rc=$(($pwdmustset - $epochnow))
		fi
	done
	echo $rc
}
